| Home | Libraries | People | FAQ | More

## Class ptree_error

boost::property_tree::ptree_error — Base class for all property tree errors. Derives from `std::runtime_error`. Call member function `what` to get human readable message associated with the error.

## Synopsis

    // In header: <boost/property_tree/exceptions.hpp>

    class ptree_error {
    public:
      // construct/copy/destruct
      ptree_error(const std::string &);
      ~ptree_error();
    };

## Description

### `ptree_error` public construct/copy/destruct

1.     ptree_error(const std::string & what);

   Instantiate a ptree_error instance with the given message.

   Parameters:

   `what` | The message to associate with this error.

2.     ~ptree_error();